<?php
	//Start session
	session_start();
	
	//Include database connection details
	require_once('admin/Connection/config.php');
	
	//Array to store validation errors
	$errmsg_arr = array();
	
	//Validation error flag
	$errflag = false;
	
	//Connect to mysql server
	$link = mysql_connect($hostname_login, $username_login, $password_login);
	if(!$link) {
		die('Failed to connect to server: ' . mysql_error());
	}
	
	//Select database
	$db = mysql_select_db($database_login);
	if(!$db) {
		die("Unable to select database");
	}
	
	//Function to sanitize values received from the form. Prevents SQL injection
	function clean($str) {
		$str = @trim($str);
		if(get_magic_quotes_gpc()) {
			$str = stripslashes($str);
		}
		return mysql_real_escape_string($str);
	}
	
	//Sanitize the POST values
	$login = clean($_POST['tracknum']);
	
	
	//Input Validations
	if($login == '') {
		$errmsg_arr[] = 'Empty Field not allowed';
		$errflag = true;
	}
		
	//If there are input validations, redirect back to the login form
	if($errflag) {
		$_SESSION['ERRMSG_ARR'] = $errmsg_arr;
		session_write_close();
		header("location: tracker.php");
		exit();
	}
	
	//Create query
	$qry="SELECT * FROM tracking WHERE num='$login'";
	$result=mysql_query($qry);
	
	//Check whether the query was successful or not
	if($result) {
		if(mysql_num_rows($result) >= 1) {
			//Login Successful
			session_regenerate_id();
			$admin = mysql_fetch_assoc($result);
			$_SESSION['NUM'] = $admin['num'];
			

			session_write_close();
			header("location: tracker_info.php");
			exit();
		}else {
			//Login failed
		    $errmsg_arr[] = 'Provide a valid tracking Number';
		    $errflag = true;
	       //If there are input validations, redirect back to the login form
	       if($errflag) {
		     $_SESSION['ERRMSG_ARR'] = $errmsg_arr;
		     session_write_close();
		     header("location: tracker.php");
		     exit();
	       }			
		}
	}else {
		die("Query failed");
	}
?>